Bug 189592 - CVE-2006-1494 PHP tempname open_basedir issue
CVE-2006-1494 PHP tempname open_basedir issue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=low,reported=20060410,source=c...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-21 09:51 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.1.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 07:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-21 09:51:29 EDT
PHP tempname open_basedir issue

http://securityreason.com/achievement_securityalert/36

tempname open_basedir issue.  It's possible to break out of your
open_basedir restricted path.

We've fixed issues similar to this in the past, but did claim it's a
case of safe mode not being safe:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=147808


This issue also affects FC4
Comment 1 Joe Orton 2006-05-17 07:56:20 EDT
Fixed in FEDORA-2006-289.

Note You need to log in before you can comment on or make changes to this bug.